RTEMS: usb_regs_t Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
usb_regs_t Struct Reference

## Data Fields
volatile uint16_t | _res0
volatile uint16_t | fnr
volatile uint16_t | _res1
volatile uint16_t | fnmr
volatile uint16_t | _res2
volatile uint16_t | rfmr
volatile uint16_t | _res3
volatile uint16_t | rfmmr
volatile uint8_t | _res4 [3]
volatile uint8_t | far
volatile uint32_t | asr
volatile uint32_t | drr1
volatile uint32_t | drr2
volatile uint16_t | _res5
volatile uint16_t | specr
volatile uint16_t | _res6
volatile uint16_t | ep0sr
volatile uint32_t | iep0cfg
volatile uint32_t | oep0cfg
volatile uint32_t | ep1cfg
volatile uint32_t | ep2cfg
volatile uint32_t | ep3cfg
volatile uint32_t | ep4cfg
volatile uint32_t | ep5cfg
volatile uint32_t | ep6cfg
volatile uint32_t | ep7cfg
volatile uint32_t | ep0ctl
volatile uint16_t | _res7
volatile uint16_t | ep1ctl
volatile uint16_t | _res8
volatile uint16_t | ep2ctl
volatile uint16_t | _res9
volatile uint16_t | ep3ctl
volatile uint16_t | _res10
volatile uint16_t | ep4ctl
volatile uint16_t | _res11
volatile uint16_t | ep5ctl
volatile uint16_t | _res12
volatile uint16_t | ep6ctl
volatile uint16_t | _res13
volatile uint16_t | ep7ctl
volatile uint32_t | ep0isr
volatile uint16_t | _res14
volatile uint16_t | ep1isr
volatile uint16_t | _res15
volatile uint16_t | ep2isr
volatile uint16_t | _res16
volatile uint16_t | ep3isr
volatile uint16_t | _res17
volatile uint16_t | ep4isr
volatile uint16_t | _res18
volatile uint16_t | ep5isr
volatile uint16_t | _res19
volatile uint16_t | ep6isr
volatile uint16_t | _res20
volatile uint16_t | ep7isr
volatile uint32_t | ep0imr
volatile uint16_t | _res21
volatile uint16_t | ep1imr
volatile uint16_t | _res22
volatile uint16_t | ep2imr
volatile uint16_t | _res23
volatile uint16_t | ep3imr
volatile uint16_t | _res24
volatile uint16_t | ep4imr
volatile uint16_t | _res25
volatile uint16_t | ep5imr
volatile uint16_t | _res26
volatile uint16_t | ep6imr
volatile uint16_t | _res27
volatile uint16_t | ep7imr
volatile uint32_t | ep0dr
volatile uint32_t | ep1dr
volatile uint32_t | ep2dr
volatile uint32_t | ep3dr
volatile uint32_t | ep4dr
volatile uint32_t | ep5dr
volatile uint32_t | ep6dr
volatile uint32_t | ep7dr
volatile uint16_t | _res28
volatile uint16_t | ep0dpr
volatile uint16_t | _res29
volatile uint16_t | ep1dpr
volatile uint16_t | _res30
volatile uint16_t | ep2dpr
volatile uint16_t | _res31
volatile uint16_t | ep3dpr
volatile uint16_t | _res32
volatile uint16_t | ep4dpr
volatile uint16_t | _res33
volatile uint16_t | ep5dpr
volatile uint16_t | _res34
volatile uint16_t | ep6dpr
volatile uint16_t | _res35
volatile uint16_t | ep7dpr

The documentation for this struct was generated from the following file:

- bsps/m68k/include/mcf5272/mcf5272.h